Bug 1336671 (CVE-2016-2803) - CVE-2016-2803 bugzilla: Cross-site-scripting in dependency graphs
Summary: CVE-2016-2803 bugzilla: Cross-site-scripting in dependency graphs
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-2803
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1336672 1336673 1336674
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-17 07:56 UTC by Andrej Nemec
Modified: 2019-09-29 13:49 UTC (History)
3 users (show)

Fixed In Version: bugzilla 4.4.12, bugzilla 5.0.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:52:03 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-05-17 07:56:55 UTC
A vulnerability was found in the bugzilla application. Due to an incorrect parsing of the image map generated by the dot script, a specially crafted bug summary could trigger XSS in dependency graphs.

External references:

https://bugzilla.mozilla.org/show_bug.cgi?id=1253263

References:

http://seclists.org/bugtraq/2016/May/72

Upstream fix:

https://git.mozilla.org/?p=bugzilla/bugzilla.git;a=commitdiff;h=dd61903

Comment 1 Andrej Nemec 2016-05-17 07:58:10 UTC
Created bugzilla tracking bugs for this issue:

Affects: fedora-all [bug 1336672]
Affects: epel-5 [bug 1336673]
Affects: epel-6 [bug 1336674]

Comment 2 Fedora Update System 2016-05-26 17:33:40 UTC
bugzilla-5.0.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2016-05-28 23:23:30 UTC
bugzilla-4.4.12-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-05-28 23:54:36 UTC
bugzilla-4.4.12-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Product Security DevOps Team 2019-06-08 02:52:03 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.